Subject: [bug#29449] [PATCH] gnu: node: Update to 8.9.1.

From: Mike Gerwitz <[email-masked]>
Date: Sun, 26 Nov 2017 23:54:26 -0500

On Sun, Nov 26, 2017 at 14:24:05 -0500, Leo Famulari wrote:
> --check and --rounds are a bit confusing when the package in question is
> grafted.
>
> Basically, grafting is treated as its own derivation, so doing
> `./pre-inst-env guix build --check node` just re-does the grafting
> derivation, instead of rebuilding node.
>
> Currently every package is grafted because we used a graft to fix a bug
> in glibc.
>
> So, try `./pre-inst-env guix build --no-grafts --check node`.

Ah, that makes sense, thank you for the clarification.  I did start
--no-grafts, but that applied to dependencies as well it seemed, so I
stopped it.  I'll let that run tonight (node takes a while to build on
the X200) and report back / provide an updated patch tomorrow.

-- 
Mike Gerwitz
Free Software Hacker+Activist | GNU Maintainer & Volunteer
GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
https://mikegerwitz.com